#!/bin/bash

bootstrap () 
{

	files1mounted=`mount | grep files1`

	if [[ $files1mounted != "" ]]; then

	files1username=`echo $files1mounted | cut -d "/" -f 4 | cut -d " " -f 1`;
	files1mountpoint=`echo $files1mounted | cut -d " " -f 3`;

	echo $files1username;
	echo $files1mountpoint;

	else

	echo "Please connect to files1 first!";

	osascript -e "display alert \"Please connect to files1 in the next screen, then try again!\"";

open "smb://files1.4j.lane.edu";
	
	exit 1;
	
	fi;

}

makedirectories()
{
if [[ ! -d "$files1mountpoint/public_html" ]]; then
	if  [[ -d "$files1mountpoint/WWWpublic_html" ]]; then
		mv "$files1mountpoint/WWWpublic_html" "$files1mountpoint/public_html"
	else
		mkdir "$files1mountpoint/public_html"
		chmod a+r "$files1mountpoint/public_html"
	fi
	if  [[ ! -d "$files1mountpoint/public_html/qr" ]]; then
		mkdir "$files1mountpoint/public_html/qr"
		chmod a+r "$files1mountpoint/public_html/qr"
	fi
fi
}

bootstrap;
makedirectories;


filetoupload="$(/usr/bin/osascript -e "tell application \"System Events\" to activate" -e "tell application \"System Events\" to set thefile to choose file with prompt \"Choose a file to create a QR code...\"" -e "do shell script (\"echo \"&(quoted form of POSIX path of thefile as Unicode text)&\"\")")"

echo $filetoupload;

#read -p "Which file do you want to turn into a QR code? Just drag it onto this window and then hit the Return key!
#" FILEREPLY
#filetoupload=${FILEREPLY}

cp "$filetoupload" "$files1mountpoint/public_html/qr/"

basename=$(basename "$filetoupload")
echo "$basename"

open "http://staff.4j.lane.edu/~nelson_d/qr/singlefile/?user=nelson_d&folder=$basename&Submit=Get+Codes"

osascript -e "tell application \"Terminal\"
quit saving no
end tell"

exit 0;